Package com.sun.ts.lib.util.sec.security.action

# Class GetPropertyAction

java.lang.Object
com.sun.ts.lib.util.sec.security.action.GetPropertyAction

All Implemented Interfaces:
  `PrivilegedAction<String>`

public class GetPropertyAction extends Object implements PrivilegedAction<String>
A convenience class for retrieving the string value of a system property as a privileged action. An instance of this class can be used as the argument of `AccessController.doPrivileged`. The following code retrieves the value of the system property named `"prop"` as a privileged action:

     String s = java.security.AccessController.doPrivileged(new GetPropertyAction("prop"));

Since:
  1.2
Author:
  Roland Schemers
See Also:
  - `PrivilegedAction`
  - `AccessController`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPropertyAction(String theProp)`
  Constructor that takes the name of the system property whose string value needs to be determined.
  `GetPropertyAction(String theProp, String defaultVal)`
  Constructor that takes the name of the system property and the default value of that property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `run()`
  Determines the string value of the system property whose name was specified in the constructor.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetPropertyAction

    public GetPropertyAction(String theProp)
    Constructor that takes the name of the system property whose string value needs to be determined.
    Parameters:
      `theProp` - the name of the system property.

  - ### GetPropertyAction

    public GetPropertyAction(String theProp, String defaultVal)
    Constructor that takes the name of the system property and the default value of that property.
    Parameters:
      `theProp` - the name of the system property.
      `defaulVal` - the default value.

- ## Method Details

  - ### run

    public String run()
    Determines the string value of the system property whose name was specified in the constructor.
    Specified by:
      `run` in interface `PrivilegedAction<String>`
    Returns:
      the string value of the system property, or the default value if there is no property with that key.